Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Botan::Thread_Pool Member List

This is the complete list of members for Botan::Thread_Pool, including all inherited members.

global_instance() | Botan::Thread_Pool | static
operator=(const Thread_Pool &)=delete | Botan::Thread_Pool |
operator=(Thread_Pool &&)=delete | Botan::Thread_Pool |
queue_thunk(std::function< void()>) | Botan::Thread_Pool |
run(F &&f, Args &&...args) -> std::future< typename std::result_of< F(Args...)>::type > | Botan::Thread_Pool | inline
shutdown() | Botan::Thread_Pool |
Thread_Pool(size_t pool_size=0) | Botan::Thread_Pool |
Thread_Pool(const Thread_Pool &)=delete | Botan::Thread_Pool |
Thread_Pool(Thread_Pool &&)=delete | Botan::Thread_Pool |
worker_count() const | Botan::Thread_Pool | inline
~Thread_Pool() | Botan::Thread_Pool | inline